Get capability by ID
curl --request GET \
--url https://spb.sandbox.lerian.net/v1/str/capabilities/{capabilityId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://spb.sandbox.lerian.net/v1/str/capabilities/{capabilityId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spb.sandbox.lerian.net/v1/str/capabilities/{capabilityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"capability": {
"capabilityId": "STR0004",
"direction": "OUTBOUND",
"handlingMode": "PUBLICLY_SUBMITTABLE",
"isAvailable": true,
"name": "Bank Transfer",
"operationFamily": "bankTransfer",
"supportsAudit": true,
"supportsEvents": true,
"supportsInbound": false,
"supportsSubmission": true,
"protocolMetadata": {}
},
"correlationId": "req-7a3f9c2e"
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Get capability by ID
Returns the detail of a single STR capability identified by its public identifier (e.g. “STR0004”).
GET
/
v1
/
str
/
capabilities
/
{capabilityId}
Get capability by ID
Authorizations
JWT bearer token issued by the identity provider.
Path Parameters
STR capability identifier (e.g. STR0004).
Was this page helpful?

